0

I've been installing XAMPP for windows (xp and windows7) for years, which is always a simple install and Apache/PHP works fine.

However, now with the 1.7.7 version, I get the same problem on two Windows XP machines, here is what I downloaded: enter image description here

When I install, the only thing I changed from the default choices was I checked that Apache should run as a service:

enter image description here

In the browser, localhost fails to connect:

enter image description here

When I check the control, panel, it says it has started but also has a worker thread issue:

enter image description here

and I don't see it anywhere in my services:

enter image description here

I've tried the beta control panel but it tells me this:

9:38:51 PM  [apache]    There may be an error, return code: 14001 - This application has failed to start because the application configuration is incorrect. Reinstalling the application may fix this problem.
9:38:51 PM  [apache]    Service was NOT (un)installed!
9:38:51 PM  [apache]    One possible reason for failure: On windows security box you !!!MUST UNCHECK!!! that "Protect my computer and data from unauthorized program activity" checkbox!!!

enter image description here

How can I get Apache running with XAMPP for Windows 1.7.7 on Windows XP?

1
  • Install Xampp 1.7.3 last version that works :( I try to update to 1.7.7 a bad choice !!! – user103814 Nov 2 '11 at 8:19
1

Download and install Microsoft Visual C++ 2008 SP1 Redistributable Package (x86) and restart XAMPP.

0

The pragmatic answer to this is:

  1. uninstall 1.7.7
  2. download and install 1.6.4 http://www.oldapps.com/xampp.php?old_xampp=37#download

That works.

Not the answer you're looking for? Browse other questions tagged or ask your own question.